メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.aihubmix.com/llms.txt

Use this file to discover all available pages before exploring further.

AIHubMix は統一された動画生成 API を提供しており、開発者は以下を含む複数の主要モデルにアクセスできます:
  • veo シリーズ
  • sora シリーズ
  • wan シリーズ

リクエスト例

curl -X POST "https://aihubmix.com/v1/videos" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer sk-***" \
  -d '{
    "model": "<model_path>",
    "prompt": "your prompt"
  }'

モデルパス

model でサポートされる値:

パラメータ

prompt
String
必須
生成したい動画の自然言語による記述。カメラタイプ、被写体、アクション、環境、ライティング、カメラの動きを含めてください。
model
String
上記でリストされたサポート対象モデル識別子のうちの 1 つ。
size
String
width x height 形式の出力解像度。
  • sora:720×1280(默认)、1280×720
  • veo:720P(默认),1080P
  • wan:480P(832x480、480x832、624x624),720P(1088x832、832x1088、960x960、1280x720、720x1280)和 1080P(1248x1632、1632x1248、1440x1440、1080x1920、1920x1080)。
seconds
String
生成される動画の長さ。
  • sora:4s(default),8s,12s
  • veo:4s,6s,8s(default)
  • wan:5s,10s(0s only supported by wan2.5-t2v-preview)
input_reference
File
最初のフレームとして使用される参照画像。サポートされる形式:image/jpegimage/pbgimage/webp
詳細はこちら:Sora 2 API Reference

使用例

参照画像なしで生成

curl -X POST "https://aihubmix.com/v1/videos" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer sk-***" \
  -d '{
    "model": "sora-2-pro",
    "prompt": "A astronaut floating in space, holding a glowing plant, with Earth and stars in the background, slow-motion movement",
    "size": "720x1280",
    "seconds": "4"
  }'

参照画像ありで生成

curl --location --request POST 'https://aihubmix.com/v1/videos' \
--header 'Authorization: Bearer sk-***' \
--form 'prompt="The kitten is taking a nap under the tree."' \
--form 'model="sora-2"' \
--form 'size="1280x720"' \
--form 'seconds="4"' \
--form 'input_reference=@"xxx=/cat.jpeg"'

最終更新日:2026-06-01